## libyang 3.4.2+dfsg

=== debian/changelog ===
libyang (3.4.2+dfsg-2) sid; urgency=medium

  * Uploading to sid.
  * Renaming source package to libyang, given that libyang 1.x has been
    replaced and removed pre-bookworm.
  * Updating vcs fields for source package rename.
  * Renaming libyang3-dev to libyang-dev before any package starts using
    it just yet.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 30 Sep 2024 07:06:28 +0200

libyang3 (3.4.2+dfsg-1) sid; urgency=medium

  * Uploading to sid.
  * Merging upstream version 3.4.2+dfsg.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 17 Sep 2024 05:00:18 +0200

libyang3 (3.1.0+dfsg-5) sid; urgency=medium

  * Uploading to sid.
  * Removing pre-oldstable libyang conflicts/replaces.
  * Adding conflicts/replaces for libyang2 (Closes: #1078133).
  * Replacing libyang2 conflicts with breaks.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Thu, 08 Aug 2024 16:50:49 +0200

libyang3 (3.1.0+dfsg-4) sid; urgency=medium

  * Uploading to sid.
  * Adding missing conflicts/replaces to libyang-dev and libyang2-dev
    (Closes: #1077494).

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Mon, 29 Jul 2024 15:29:51 +0200

libyang3 (3.1.0+dfsg-3) sid; urgency=medium

  * Uploading to sid.
  * Correcting watch file.
  * Reordering nodoc filter in rules for consistency.
  * Adding tcl-expect to build-depends to fix test failures on armel,
    armhf and i386.
  * Wrap-and-sorting libyang3-dev.install.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Jul 2024 06:42:15 +0200

libyang3 (3.1.0+dfsg-2) sid; urgency=medium

  * Uploading to sid.
  * Using codenames in changelog.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Sat, 27 Jul 2024 02:08:13 +0200

libyang3 (3.1.0+dfsg-1) sid; urgency=medium

  * Initial upload to sid.

 -- Daniel Baumann <daniel.baumann@progress-linux.org>  Tue, 23 Jul 2024 11:42:29 +0200
