=== debian/control ===
Source: libyang
Section: libs
Priority: optional
Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 doxygen <!nodoc>,
 graphviz <!nodoc>,
 libcmocka-dev <!nocheck>,
 libpcre2-dev,
 pkgconf,
 tcl-expect <!nocheck>,
 tclsh <!nocheck>,
Rules-Requires-Root: no
Standards-Version: 4.7.0
Homepage: https://github.com/CESNET/libyang
Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/libyang
Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/libyang

Package: libyang-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libpcre2-dev,
 libyang3 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libyang2-dev,
 libyang3-dev,
Replaces:
 libyang2-dev,
 libyang3-dev,
Description: parser toolkit for IETF YANG data modeling language (development)
 YANG is a data modeling language for the definition of data sent over network
 management protocols (RFC 6020/7950). It can be used to model both configuration
 data as well as state data of network elements and is primarily used by larger
 network equipment like routers and switches.
 .
 This package contains the development files.

Package: libyang3
Section: libs
Architecture: any
Multi-Arch: same
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libyang2,
 libyang2t64,
Replaces:
 libyang2,
 libyang2t64,
Description: parser toolkit for IETF YANG data modeling language (library)
 YANG is a data modeling language for the definition of data sent over network
 management protocols (RFC 6020/7950). It can be used to model both configuration
 data as well as state data of network elements and is primarily used by larger
 network equipment like routers and switches.
 .
 This package contains the shared library.

Package: libyang3-tools
Section: devel
Architecture: any
Multi-Arch: foreign
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Breaks:
 libyang2-tools,
Replaces:
 libyang2-tools,
Description: parser toolkit for IETF YANG data modeling language (tools)
 YANG is a data modeling language for the definition of data sent over network
 management protocols (RFC 6020/7950). It can be used to model both configuration
 data as well as state data of network elements and is primarily used by larger
 network equipment like routers and switches.
 .
 This package contains additional tools.
