=== debian/changelog ===
libyang (3.7.8-3) sid; urgency=medium

  * Updating vcs fields.

 -- Daniel Baumann <daniel@debian.org>  Sun, 16 Feb 2025 20:29:12 +0100

libyang (3.7.8-2) sid; urgency=medium

  * Updating vcs fields.
  * Trimming changelog.
  * Updating email address.
  * Updating year in debian copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Wed, 05 Feb 2025 09:10:56 +0100

libyang (3.7.8-1) sid; urgency=medium

  * Merging upstream version 3.7.8.
  * Removing now uneeded breaks/replaces on libyang3-dev.
  * Updating source url in copyright.

 -- Daniel Baumann <daniel@debian.org>  Tue, 14 Jan 2025 11:13:30 +0100
