=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: libyang
 Section: libs
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-linux.org>
+Maintainer: Daniel Baumann <daniel@debian.org>
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
@@ -15,8 +15,8 @@
 Rules-Requires-Root: no
 Standards-Version: 4.7.0
 Homepage: https://github.com/CESNET/libyang
-Vcs-Browser: https://git.progress-linux.org/users/daniel.baumann/debian/packages/libyang
-Vcs-Git: https://git.progress-linux.org/users/daniel.baumann/debian/packages/libyang
+Vcs-Browser: https://forgejo.debian.net/frr/libyang
+Vcs-Git: https://forgejo.debian.net/frr/libyang
 
 Package: libyang-dev
 Section: libdevel
@@ -29,10 +29,8 @@
  ${shlibs:Depends},
 Breaks:
  libyang2-dev,
- libyang3-dev,
 Replaces:
  libyang2-dev,
- libyang3-dev,
 Description: parser toolkit for IETF YANG data modeling language (development)
  YANG is a data modeling language for the definition of data sent over network
  management protocols (RFC 6020/7950). It can be used to model both configuration
