=== debian/watch ===
version=4
opts="filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/libyang-$1\.tar\.gz/, \
 dversionmangle=s/\+dfsg//" \
https://github.com/CESNET/libyang/tags .*/v?(\d\S+)\.tar\.gz
