## libyang 3.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -59,14 +59,14 @@
 
 # set version of the project
 set(LIBYANG_MAJOR_VERSION 3)
-set(LIBYANG_MINOR_VERSION 7)
-set(LIBYANG_MICRO_VERSION 8)
+set(LIBYANG_MINOR_VERSION 12)
+set(LIBYANG_MICRO_VERSION 2)
 set(LIBYANG_VERSION ${LIBYANG_MAJOR_VERSION}.${LIBYANG_MINOR_VERSION}.${LIBYANG_MICRO_VERSION})
 
 # set version of the library
 set(LIBYANG_MAJOR_SOVERSION 3)
-set(LIBYANG_MINOR_SOVERSION 6)
-set(LIBYANG_MICRO_SOVERSION 10)
+set(LIBYANG_MINOR_SOVERSION 9)
+set(LIBYANG_MICRO_SOVERSION 1)
 set(LIBYANG_SOVERSION_FULL ${LIBYANG_MAJOR_SOVERSION}.${LIBYANG_MINOR_SOVERSION}.${LIBYANG_MICRO_SOVERSION})
 set(LIBYANG_SOVERSION ${LIBYANG_MAJOR_SOVERSION})
