=== debian/changelog ===
libyang (3.12.2-1ubuntu1) questing; urgency=medium

  * d/tests: add tests from src:libyang2 (LP: #2120456)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 12 Aug 2025 12:58:07 -0300

libyang (3.12.2-1) sid; urgency=medium

  * Simplifying watch file.
  * Merging upstream version 3.12.2.
  * Updating year in upstream copyright for 2025.
  * Adding build-depends to libxxhash-dev for faster hashing.
  * Wrap and sorting debian files.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 04:15:49 +0200

libyang (3.7.8-5) sid; urgency=medium

  * Removing multi-arch field for libyang-dev (Closes: #1100921).

 -- Daniel Baumann <daniel@debian.org>  Thu, 20 Mar 2025 15:14:20 +0100

libyang (3.7.8-4) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.

 -- Daniel Baumann <daniel@debian.org>  Wed, 19 Mar 2025 20:11:52 +0100
