=== debian/control ===
--- 
+++ 
@@ -1,19 +1,21 @@
 Source: libyang
 Section: libs
 Priority: optional
-Maintainer: Daniel Baumann <daniel@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <daniel@debian.org>
 Build-Depends:
+ debhelper-compat (= 13),
  cmake,
- debhelper-compat (= 13),
  doxygen <!nodoc>,
  graphviz <!nodoc>,
  libcmocka-dev <!nocheck>,
  libpcre2-dev,
+ libxxhash-dev,
  pkgconf,
  tcl-expect <!nocheck>,
  tclsh <!nocheck>,
 Rules-Requires-Root: no
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/CESNET/libyang
 Vcs-Browser: https://forgejo.debian.net/frr/libyang
 Vcs-Git: https://forgejo.debian.net/frr/libyang
@@ -21,7 +23,6 @@
 Package: libyang-dev
 Section: libdevel
 Architecture: any
-Multi-Arch: same
 Depends:
  libpcre2-dev,
  libyang3 (= ${binary:Version}),
