=== debian/tests/control ===
Tests: yanglint
Depends: gzip,
         libyang3-tools

Tests: yangre
Depends: libyang3-tools
