## libyang 3.13.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -59,14 +59,14 @@
 
 # set version of the project
 set(LIBYANG_MAJOR_VERSION 3)
-set(LIBYANG_MINOR_VERSION 12)
-set(LIBYANG_MICRO_VERSION 2)
+set(LIBYANG_MINOR_VERSION 13)
+set(LIBYANG_MICRO_VERSION 5)
 set(LIBYANG_VERSION ${LIBYANG_MAJOR_VERSION}.${LIBYANG_MINOR_VERSION}.${LIBYANG_MICRO_VERSION})
 
 # set version of the library
 set(LIBYANG_MAJOR_SOVERSION 3)
 set(LIBYANG_MINOR_SOVERSION 9)
-set(LIBYANG_MICRO_SOVERSION 1)
+set(LIBYANG_MICRO_SOVERSION 13)
 set(LIBYANG_SOVERSION_FULL ${LIBYANG_MAJOR_SOVERSION}.${LIBYANG_MINOR_SOVERSION}.${LIBYANG_MICRO_SOVERSION})
 set(LIBYANG_SOVERSION ${LIBYANG_MAJOR_SOVERSION})
 
@@ -242,7 +242,6 @@
     option(ENABLE_TESTS "Build tests" OFF)
     option(ENABLE_VALGRIND_TESTS "Build tests with valgrind" OFF)
 endif()
-option(ENABLE_PERF_TESTS "Build performance tests" OFF)
 option(ENABLE_COVERAGE "Build code coverage report from tests" OFF)
 option(ENABLE_FUZZ_TARGETS "Build target programs suitable for fuzzing with AFL" OFF)
 option(ENABLE_INTERNAL_DOCS "Generate doxygen documentation also from internal headers" OFF)
@@ -297,22 +296,20 @@
     endif()
 endif()
 
-if(ENABLE_PERF_TESTS)
-    find_path(VALGRIND_INCLUDE_DIR
-        NAMES
-        valgrind/callgrind.h
-        PATHS
-        /usr/include
-        /usr/local/include
-        /opt/local/include
-        /sw/include
-        ${CMAKE_INCLUDE_PATH}
-        ${CMAKE_INSTALL_PREFIX}/include)
-    if(VALGRIND_INCLUDE_DIR)
-        set(HAVE_CALLGRIND 1)
-    else()
-        message(STATUS "Disabling callgrind macros in performance tests because of missing valgrind headers")
-    endif()
+find_path(VALGRIND_INCLUDE_DIR
+    NAMES
+    valgrind/callgrind.h
+    PATHS
+    /usr/include
+    /usr/local/include
+    /opt/local/include
+    /sw/include
+    ${CMAKE_INCLUDE_PATH}
+    ${CMAKE_INSTALL_PREFIX}/include)
+if(VALGRIND_INCLUDE_DIR)
+    set(HAVE_CALLGRIND 1)
+else()
+    message(STATUS "Disabling callgrind macros in performance tests because of missing valgrind headers")
 endif()
 
 if(ENABLE_COVERAGE)
@@ -385,3 +382,6 @@
     if(TARGET yangobj)
         target_include_directories(yangobj PRIVATE ${COMPAT_POSIX_INCLUDES})
     endif()
+    target_include_directories(yang PRIVATE ${COMPAT_POSIX_INCLUDES})
+    include_directories(${COMPAT_POSIX_INCLUDES})
+
