=== tests/yanglint/CMakeLists.txt ===
--- 
+++ 
@@ -23,8 +23,11 @@
 if(ENABLE_TESTS)
     # tests of interactive mode using tclsh
     find_program(PATH_TCLSH NAMES tclsh)
+    find_program(PATH_EXPECT NAMES expect)
     if(NOT PATH_TCLSH)
-        message(WARNING "'tclsh' not found! The yanglint(1) interactive tests will not be available.")
+        message(WARNING "tclsh not found, yanglint(1) interactive tests will not be available.")
+    elseif(NOT PATH_EXPECT)
+        message(WARNING "expect not found, yanglint(1) interactive tests will not be available.")
     else()
         if(YANGLINT_INTERACTIVE)
             add_yanglint_test(NAME interactive VIA tclsh SCRIPT interactive/all.tcl)
