=== debian/changelog ===
libyang (3.13.5-2) sid; urgency=medium

  * Adding back autopkgtests from libyang2, thanks to Andreas Hasenack
    <andreas.hasenack@canonical.com> (Closes: #1110926).

 -- Daniel Baumann <daniel@debian.org>  Tue, 12 Aug 2025 17:56:18 +0200

libyang (3.13.5-1) sid; urgency=medium

  * Adding upstream metadata.
  * Merging upstream version 3.13.5.

 -- Daniel Baumann <daniel@debian.org>  Sun, 10 Aug 2025 20:33:56 +0200
