=== debian/watch ===
version=4
opts="dversionmangle=s/\+dfsg//" \
https://github.com/CESNET/libyang/tags .*/v?(\d.*)@ARCHIVE_EXT@
