## libyang 3.13.6

=== CMakeLists.txt ===
--- 
+++ 
@@ -60,13 +60,13 @@
 # set version of the project
 set(LIBYANG_MAJOR_VERSION 3)
 set(LIBYANG_MINOR_VERSION 13)
-set(LIBYANG_MICRO_VERSION 5)
+set(LIBYANG_MICRO_VERSION 6)
 set(LIBYANG_VERSION ${LIBYANG_MAJOR_VERSION}.${LIBYANG_MINOR_VERSION}.${LIBYANG_MICRO_VERSION})
 
 # set version of the library
 set(LIBYANG_MAJOR_SOVERSION 3)
 set(LIBYANG_MINOR_SOVERSION 9)
-set(LIBYANG_MICRO_SOVERSION 13)
+set(LIBYANG_MICRO_SOVERSION 14)
 set(LIBYANG_SOVERSION_FULL ${LIBYANG_MAJOR_SOVERSION}.${LIBYANG_MINOR_SOVERSION}.${LIBYANG_MICRO_SOVERSION})
 set(LIBYANG_SOVERSION ${LIBYANG_MAJOR_SOVERSION})
