=== debian/changelog ===
libyang (3.13.6-1) sid; urgency=medium

  * Removing rules-requires-root, not needed anymore.
  * Merging upstream version 3.13.6.
  * Updating watch file to version 5.
  * Updating copyright for upstream version 3.13.6 (Closes: #1118631).

 -- Daniel Baumann <daniel@debian.org>  Sat, 01 Nov 2025 06:36:08 +0100
