=== debian/control ===
--- 
+++ 
@@ -13,7 +13,6 @@
  pkgconf,
  tcl-expect <!nocheck>,
  tclsh <!nocheck>,
-Rules-Requires-Root: no
 Standards-Version: 4.7.2
 Homepage: https://github.com/CESNET/libyang
 Vcs-Browser: https://forgejo.debian.net/frr/libyang
