=== debian/watch ===
Version: 5

Template: Github
Owner: CESNET
Project: @PACKAGE@
Dversion-Mangle: auto
