## libyang 4.2.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -58,15 +58,15 @@
 set (CMAKE_RUNTIME_OUTPUT_DIRECTORY ${CMAKE_BINARY_DIR})
 
 # set version of the project
-set(LIBYANG_MAJOR_VERSION 3)
-set(LIBYANG_MINOR_VERSION 13)
-set(LIBYANG_MICRO_VERSION 6)
+set(LIBYANG_MAJOR_VERSION 4)
+set(LIBYANG_MINOR_VERSION 2)
+set(LIBYANG_MICRO_VERSION 2)
 set(LIBYANG_VERSION ${LIBYANG_MAJOR_VERSION}.${LIBYANG_MINOR_VERSION}.${LIBYANG_MICRO_VERSION})
 
 # set version of the library
-set(LIBYANG_MAJOR_SOVERSION 3)
-set(LIBYANG_MINOR_SOVERSION 9)
-set(LIBYANG_MICRO_SOVERSION 14)
+set(LIBYANG_MAJOR_SOVERSION 4)
+set(LIBYANG_MINOR_SOVERSION 2)
+set(LIBYANG_MICRO_SOVERSION 2)
 set(LIBYANG_SOVERSION_FULL ${LIBYANG_MAJOR_SOVERSION}.${LIBYANG_MINOR_SOVERSION}.${LIBYANG_MICRO_SOVERSION})
 set(LIBYANG_SOVERSION ${LIBYANG_MAJOR_SOVERSION})
 
@@ -75,7 +75,7 @@
     set(C_STANDARD_REQUIRED ON)
     set(CMAKE_C_FLAGS "/Zc:preprocessor /W3 /wd4711 /w14013 /utf-8 ${CMAKE_C_FLAGS}")
 else()
-    # global C flags
+    # global C flags (POSIX source because of pthread_rwlock_t)
     set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -Wextra -Wpedantic -std=c11")
 endif()
 
@@ -149,6 +149,7 @@
     src/printer_yang.c
     src/printer_yin.c
     src/printer_tree.c
+    src/printer_context.c
     src/plugins.c
     src/plugins_types.c
     src/plugins_exts.c
@@ -215,6 +216,7 @@
     doc/build.dox
     doc/transition_1_2.dox
     doc/transition_2_3.dox
+    doc/transition_3_4.dox
     ${headers}
     ${PROJECT_BINARY_DIR}/libyang/version.h
     ${type_plugins})
@@ -382,6 +384,3 @@
     if(TARGET yangobj)
         target_include_directories(yangobj PRIVATE ${COMPAT_POSIX_INCLUDES})
     endif()
-    target_include_directories(yang PRIVATE ${COMPAT_POSIX_INCLUDES})
-    include_directories(${COMPAT_POSIX_INCLUDES})
-
