=== debian/changelog ===
libyang (4.2.2-2) experimental; urgency=medium

  * Dropping pre-trixie breaks/replaces.
  * Temporarily avoid failing the build if test suite fails.

 -- Daniel Baumann <daniel@debian.org>  Mon, 08 Dec 2025 16:47:40 +0100

libyang (4.2.2-1) experimental; urgency=medium

  * Merging upstream version 4.2.2.
  * Updating packaging for soname bump to 4.
  * Rather than to rename the tools package to libyang4-tools for the
    soname bump, we'll use the opportunity to avoid it in the future as
    it's not needed to be versioned.

 -- Daniel Baumann <daniel@debian.org>  Fri, 05 Dec 2025 07:34:46 +0100
