## libyang 4.3.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -59,14 +59,14 @@
 
 # set version of the project
 set(LIBYANG_MAJOR_VERSION 4)
-set(LIBYANG_MINOR_VERSION 2)
-set(LIBYANG_MICRO_VERSION 2)
+set(LIBYANG_MINOR_VERSION 3)
+set(LIBYANG_MICRO_VERSION 3)
 set(LIBYANG_VERSION ${LIBYANG_MAJOR_VERSION}.${LIBYANG_MINOR_VERSION}.${LIBYANG_MICRO_VERSION})
 
 # set version of the library
 set(LIBYANG_MAJOR_SOVERSION 4)
-set(LIBYANG_MINOR_SOVERSION 2)
-set(LIBYANG_MICRO_SOVERSION 2)
+set(LIBYANG_MINOR_SOVERSION 3)
+set(LIBYANG_MICRO_SOVERSION 3)
 set(LIBYANG_SOVERSION_FULL ${LIBYANG_MAJOR_SOVERSION}.${LIBYANG_MINOR_SOVERSION}.${LIBYANG_MICRO_SOVERSION})
 set(LIBYANG_SOVERSION ${LIBYANG_MAJOR_SOVERSION})
