=== debian/changelog ===
libyang (4.3.3-1) experimental; urgency=medium

  * Merging upstream version 4.3.3.
  * Removing cherry-picked patches, included upstream.

 -- Daniel Baumann <daniel@debian.org>  Sat, 13 Dec 2025 07:16:40 +0100

libyang (4.2.2-3) experimental; urgency=medium

  * Cherry-picking patches from upstream to fix test-suite failures mostly
    on 32bit platforms.
  * Making failures fatal again.

 -- Daniel Baumann <daniel@debian.org>  Fri, 12 Dec 2025 11:57:58 +0100
