=== debian/changelog ===
libyang (4.3.4-1) experimental; urgency=medium

  * Merging upstream version 4.3.4.

 -- Daniel Baumann <daniel@debian.org>  Wed, 17 Dec 2025 19:34:15 +0100
