=== debian/control ===
--- 
+++ 
@@ -23,13 +23,13 @@
 Architecture: any
 Depends:
  libpcre2-dev,
- libyang3 (= ${binary:Version}),
+ libyang4 (= ${binary:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
- libyang2-dev,
+ libyang3-dev,
 Replaces:
- libyang2-dev,
+ libyang3-dev,
 Description: parser toolkit for IETF YANG data modeling language (development)
  YANG is a data modeling language for the definition of data sent over network
  management protocols (RFC 6020/7950). It can be used to model both configuration
@@ -38,7 +38,7 @@
  .
  This package contains the development files.
 
-Package: libyang3
+Package: libyang4
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -48,11 +48,9 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
- libyang2,
- libyang2t64,
+ libyang3,
 Replaces:
- libyang2,
- libyang2t64,
+ libyang3,
 Description: parser toolkit for IETF YANG data modeling language (library)
  YANG is a data modeling language for the definition of data sent over network
  management protocols (RFC 6020/7950). It can be used to model both configuration
@@ -61,7 +59,7 @@
  .
  This package contains the shared library.
 
-Package: libyang3-tools
+Package: libyang-tools
 Section: devel
 Architecture: any
 Multi-Arch: foreign
@@ -71,9 +69,9 @@
  ${misc:Depends},
  ${shlibs:Depends},
 Breaks:
- libyang2-tools,
+ libyang3-tools,
 Replaces:
- libyang2-tools,
+ libyang3-tools,
 Description: parser toolkit for IETF YANG data modeling language (tools)
  YANG is a data modeling language for the definition of data sent over network
  management protocols (RFC 6020/7950). It can be used to model both configuration
